Bug 107607 - Problems with MST display (REG_WAIT takes a while or times out)
Summary: Problems with MST display (REG_WAIT takes a while or times out)
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 15:37 UTC by Paul Menzel
Modified: 2019-05-09 12:56 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Linux 4.18+ messages (150.44 KB, text/plain)
2018-08-17 15:37 UTC, Paul Menzel
no flags Details
Linux 4.18+ messages with drm.debug=0xe (2.89 MB, text/plain)
2018-08-20 16:51 UTC, Paul Menzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Menzel 2018-08-17 15:37:55 UTC
Created attachment 141169 [details]
Linux 4.18+ messages

Using the tiled/MST monitor Dell UP3214Q connected over DisplayPort with the MSI B350M MORTAR (MS-7A37) with the Raven device Ryzen 3 2200G causes problems when switching the inputs of the monitor (two systems are connected).

I believe the monitor firmware is buggy, but the problems do not happen with Microsoft Windows.

[ 2366.214057] [drm] DM_MST: stopping TM on aconnector: 000000009b429054 [id: 51]
[ 2366.214456] [drm] Cannot find any crtc or sizes
[ 2366.214461] [drm] DM_MST: Disabling connector: 000000008d721c89 [id: 56] [master: 000000009b429054]
[ 2366.214594] [drm] DM_MST: Disabling connector: 000000000f6ee0cf [id: 60] [master: 000000009b429054]
[ 2366.214730] [drm] Cannot find any crtc or sizes
[ 2366.282730] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:804
[ 2366.282785] WARNING: CPU: 0 PID: 13 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[ 2366.282787] Modules linked in: fuse snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep amdgpu snd_pcm snd_timer r8169 snd crct10dif_pclmul soundcore crc32_pclmul k10temp ghash_clmulni_intel chash gpu_sched i2c_piix4 wmi video crc32c_intel xhci_pci xhci_hcd
[ 2366.282801] CPU: 0 PID: 13 Comm: kworker/0:1 Tainted: G        W         4.18.0-08135-g7cfc03071f97 #85
[ 2366.282802] Hardware name: MSI MS-7A37/B350M MORTAR (MS-7A37), BIOS 1.G1 05/17/2018
[ 2366.282807] Workqueue: events drm_mode_rmfb_work_fn
[ 2366.282844] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[ 2366.282846] Code: 44 24 58 8b 54 24 48 89 de 44 89 4c 24 08 48 8b 4c 24 50 48 c7 c7 f8 27 5b c0 e8 c4 37 05 db 83 7d 18 01 44 8b 4c 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 c8 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41 0f
[ 2366.282848] RSP: 0018:ffffb5e201923a28 EFLAGS: 00010297
[ 2366.282849] RAX: 0000000000000000 RBX: 000000000000000a RCX: 0000000000000000
[ 2366.282851] RDX: 0000000000000000 RSI: ffff92509e815508 RDI: ffff92509e815508
[ 2366.282852] RBP: ffff92508d225600 R08: ffffffff9b516e40 R09: 0000000000010200
[ 2366.282853] R10: ffff92509ee28658 R11: ffffffff9c9303cd R12: 0000000000000bb9
[ 2366.282854] R13: 00000000000058cc R14: 0000000000010000 R15: 0000000000000000
[ 2366.282856] FS:  0000000000000000(0000) GS:ffff92509e800000(0000) knlGS:0000000000000000
[ 2366.282857] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 2366.282858] CR2: 0000559c01161ef0 CR3: 00000003d62df000 CR4: 00000000003406f0
[ 2366.282859] Call Trace:
[ 2366.282901]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[ 2366.282940]  core_link_disable_stream+0x54/0x220 [amdgpu]
[ 2366.282981]  reset_hw_ctx_wrap+0x241/0x250 [amdgpu]
[ 2366.283020]  dce110_apply_ctx_to_hw+0x45/0x650 [amdgpu]
[ 2366.283061]  ? dcn10_verify_allow_pstate_change_high+0x1d/0x240 [amdgpu]
[ 2366.283098]  dc_commit_state+0x2dc/0x550 [amdgpu]
[ 2366.283140]  amdgpu_dm_atomic_commit_tail+0x37a/0xd80 [amdgpu]
[ 2366.283144]  ? create_object+0x23e/0x290
[ 2366.283147]  ? _cond_resched+0x15/0x30
[ 2366.283148]  ? wait_for_completion_timeout+0x3a/0x180
[ 2366.283150]  ? wait_for_completion_interruptible+0x35/0x1b0
[ 2366.283153]  commit_tail+0x3d/0x70
[ 2366.283155]  drm_atomic_helper_commit+0x103/0x110
[ 2366.283157]  drm_framebuffer_remove+0x347/0x3c0
[ 2366.283160]  drm_mode_rmfb_work_fn+0x4f/0x60
[ 2366.283163]  process_one_work+0x19b/0x350
[ 2366.283165]  worker_thread+0x30/0x370
[ 2366.283167]  ? rescuer_thread+0x320/0x320
[ 2366.283169]  kthread+0x112/0x130
[ 2366.283170]  ? kthread_create_worker_on_cpu+0x70/0x70
[ 2366.283173]  ret_from_fork+0x22/0x40
[ 2366.283174] ---[ end trace 71abef89afed8778 ]---
Comment 1 Paul Menzel 2018-08-20 16:51:24 UTC
Created attachment 141201 [details]
Linux 4.18+ messages with drm.debug=0xe

Here is a verbose log. I believe it’s related to DP 1.2 and the MST Dell monitor.

[   15.113453] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 24ms in enc1_stream_encoder_dp_blank line:804
[   15.146724] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 3ms in optc1_disable_crtc line:513
[   23.953593] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 5ms in mpc1_assert_idle_mpcc line:103
[   24.003514] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 7ms in mpc1_assert_idle_mpcc line:103
[  100.425097] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 6ms in mpc1_assert_idle_mpcc line:103
[  100.441735] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 7ms in mpc1_assert_idle_mpcc line:103
[  104.509792] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:804
[  104.509841] WARNING: CPU: 1 PID: 1550 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[  104.509895] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[  104.517863] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 2ms in optc1_disable_crtc line:513
[  108.605859] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:804
[  108.605909] WARNING: CPU: 2 PID: 1550 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[  108.605964] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[  108.610990] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 1ms in optc1_disable_crtc line:513
[  110.529644] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 3ms in optc1_wait_for_state line:782
[  110.536052] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 2ms in optc1_wait_for_state line:782
[  115.561370] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 2ms in mpc1_assert_idle_mpcc line:103
[  115.578008] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 5ms in mpc1_assert_idle_mpcc line:103
[  115.686970] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:804
[  115.687021] WARNING: CPU: 3 PID: 48 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[  115.687079] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[  115.694125] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 2ms in optc1_disable_crtc line:513
[  115.737576] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:804
[  115.737626] WARNING: CPU: 3 PID: 48 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[  115.737678] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[  115.744042] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 1ms in optc1_disable_crtc line:513
[  116.250536] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 1ms in optc1_wait_for_state line:782
[  116.267508] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 5ms in mpc1_assert_idle_mpcc line:103
[  256.781411] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 5ms in mpc1_assert_idle_mpcc line:103
[  256.798049] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 7ms in mpc1_assert_idle_mpcc line:103
[  256.830971] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 3ms in optc1_disable_crtc line:513
[  256.864242] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 5ms in optc1_disable_crtc line:513
[  260.684885] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 2ms in optc1_wait_for_state line:782
[  260.701867] [drm:generic_reg_wait [amdgpu]] REG_WAIT taking a while: 6ms in mpc1_assert_idle_mpcc line:103
Comment 2 tomas.volf 2018-09-13 11:08:06 UTC
I have (maybe?) the same issue

```
[   36.787663] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - enc1_stream_encoder_dp_blank line:800
[   36.787785] WARNING: CPU: 2 PID: 825 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
[   36.787787] Modules linked in: arc4 r8822be(C) joydev mousedev wmi_bmof hid_lenovo mac80211 snd_hda_codec_realtek edac_mce_amd snd_hda_codec_generic snd_hda_codec_hdmi kvm_amd uvcvideo ccp snd_hda_intel videobuf2_vmalloc videobuf2_memops kvm snd_hda_codec snd_usb_audio videobuf2_v4l2 snd_hda_core videobuf2_common snd_usbmidi_lib irqbypass psmouse cfg80211 snd_rawmidi snd_hwdep snd_seq_device tpm_crb videodev input_leds k10temp snd_pcm sp5100_tco thinkpad_acpi tpm_tis i2c_piix4 media tpm_tis_core ipmi_devintf nvram snd_timer tpm ucsi_acpi hid_generic r8169 ipmi_msghandler typec_ucsi snd mii rng_core rfkill typec soundcore led_class wmi battery ac evdev i2c_scmi mac_hid pcc_cpufreq acpi_cpufreq ip_tables x_tables btrfs libcrc32c crc32c_generic xor zstd_decompress zstd_compress xxhash raid6_pq algif_skcipher
[   36.787837]  af_alg usbhid hid dm_crypt dm_mod serio_raw atkbd libps2 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc ahci libahci aesni_intel aes_x86_64 xhci_pci crypto_simd libata cryptd ehci_pci glue_helper xhci_hcd ehci_hcd scsi_mod usbcore usb_common i8042 serio amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ttm drm agpgart
[   36.787870] CPU: 2 PID: 825 Comm: Xorg Tainted: G         C        4.18.6-arch1-1-ARCH #1
[   36.787871] Hardware name: LENOVO 20MUS02400/20MUS02400, BIOS R0WET34W (1.02 ) 07/05/2018
[   36.787935] RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
[   36.787936] Code: 44 24 58 8b 54 24 48 89 de 44 89 4c 24 08 48 8b 4c 24 50 48 c7 c7 18 0f 6f c0 e8 04 60 d8 ff 83 7d 20 01 44 8b 4c 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 c8 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41 0f 
[   36.787973] RSP: 0018:ffffa2548a52f800 EFLAGS: 00010297
[   36.787976] RAX: 0000000000000000 RBX: 000000000000000a RCX: 0000000000000001
[   36.787977] RDX: 0000000000000000 RSI: ffffffffaec8051e RDI: 00000000ffffffff
[   36.787978] RBP: ffff8ce5a5ec8c00 R08: ffffffffae2ddf70 R09: 0000000000010200
[   36.787980] R10: 0000000000000004 R11: ffffffffaf404f2d R12: 0000000000000bb9
[   36.787981] R13: 00000000000058cc R14: 0000000000010000 R15: 0000000000000000
[   36.787983] FS:  00007f7cf85aee00(0000) GS:ffff8ce5af880000(0000) knlGS:0000000000000000
[   36.787984] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   36.787986] CR2: 00007f7ccf5d8600 CR3: 0000000816524000 CR4: 00000000003406e0
[   36.787987] Call Trace:
[   36.788059]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[   36.788126]  core_link_disable_stream+0x54/0x220 [amdgpu]
[   36.788195]  reset_hw_ctx_wrap+0x25c/0x2a0 [amdgpu]
[   36.788260]  dce110_apply_ctx_to_hw+0x52/0xa30 [amdgpu]
[   36.788327]  ? dcn10_verify_allow_pstate_change_high+0x1d/0x240 [amdgpu]
[   36.788389]  dc_commit_state+0x2d1/0x550 [amdgpu]
[   36.788451]  ? set_freesync_on_streams.part.6+0x4d/0x250 [amdgpu]
[   36.788511]  ? mod_freesync_set_user_enable+0x11f/0x150 [amdgpu]
[   36.788578]  amdgpu_dm_atomic_commit_tail+0x37c/0xd70 [amdgpu]
[   36.788585]  ? preempt_count_add+0x68/0xa0
[   36.788590]  ? _raw_spin_lock_irq+0x1a/0x40
[   36.788592]  ? _raw_spin_unlock_irq+0x1d/0x30
[   36.788595]  ? wait_for_common+0x113/0x190
[   36.788597]  ? _raw_spin_unlock_irq+0x1d/0x30
[   36.788599]  ? wait_for_common+0x113/0x190
[   36.788610]  commit_tail+0x3d/0x70 [drm_kms_helper]
[   36.788620]  drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
[   36.788628]  drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
[   36.788644]  __drm_mode_set_config_internal+0x67/0x120 [drm]
[   36.788659]  drm_mode_setcrtc+0x434/0x620 [drm]
[   36.788676]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[   36.788688]  drm_ioctl_kernel+0xa7/0xf0 [drm]
[   36.788701]  drm_ioctl+0x30e/0x3c0 [drm]
[   36.788715]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[   36.788757]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[   36.788765]  do_vfs_ioctl+0xa4/0x620
[   36.788770]  ? syscall_slow_exit_work+0x19b/0x1b0
[   36.788773]  ksys_ioctl+0x60/0x90
[   36.788776]  __x64_sys_ioctl+0x16/0x20
[   36.788779]  do_syscall_64+0x5b/0x170
[   36.788782]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   36.788785] RIP: 0033:0x7f7cfbd9979b
[   36.788786] Code: 0f 1e fa 48 8b 05 c5 b6 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 95 b6 0c 00 f7 d8 64 89 01 48 
[   36.788823] RSP: 002b:00007fff774dcc58 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   36.788826] RAX: ffffffffffffffda RBX: 00007fff774dcc90 RCX: 00007f7cfbd9979b
[   36.788059]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[   36.788126]  core_link_disable_stream+0x54/0x220 [amdgpu]
[   36.788195]  reset_hw_ctx_wrap+0x25c/0x2a0 [amdgpu]
[   36.788260]  dce110_apply_ctx_to_hw+0x52/0xa30 [amdgpu]
[   36.788327]  ? dcn10_verify_allow_pstate_change_high+0x1d/0x240 [amdgpu]
[   36.788389]  dc_commit_state+0x2d1/0x550 [amdgpu]
[   36.788451]  ? set_freesync_on_streams.part.6+0x4d/0x250 [amdgpu]
[   36.788511]  ? mod_freesync_set_user_enable+0x11f/0x150 [amdgpu]
[   36.788578]  amdgpu_dm_atomic_commit_tail+0x37c/0xd70 [amdgpu]
[   36.788585]  ? preempt_count_add+0x68/0xa0
[   36.788590]  ? _raw_spin_lock_irq+0x1a/0x40
[   36.788592]  ? _raw_spin_unlock_irq+0x1d/0x30
[   36.788595]  ? wait_for_common+0x113/0x190
[   36.788597]  ? _raw_spin_unlock_irq+0x1d/0x30
[   36.788599]  ? wait_for_common+0x113/0x190
[   36.788610]  commit_tail+0x3d/0x70 [drm_kms_helper]
[   36.788620]  drm_atomic_helper_commit+0x103/0x110 [drm_kms_helper]
[   36.788628]  drm_atomic_helper_set_config+0x80/0x90 [drm_kms_helper]
[   36.788644]  __drm_mode_set_config_internal+0x67/0x120 [drm]
[   36.788659]  drm_mode_setcrtc+0x434/0x620 [drm]
[   36.788676]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[   36.788688]  drm_ioctl_kernel+0xa7/0xf0 [drm]
[   36.788701]  drm_ioctl+0x30e/0x3c0 [drm]
[   36.788715]  ? drm_mode_getcrtc+0x180/0x180 [drm]
[   36.788757]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[   36.788765]  do_vfs_ioctl+0xa4/0x620
[   36.788770]  ? syscall_slow_exit_work+0x19b/0x1b0
[   36.788773]  ksys_ioctl+0x60/0x90
[   36.788776]  __x64_sys_ioctl+0x16/0x20
[   36.788779]  do_syscall_64+0x5b/0x170
[   36.788782]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   36.788785] RIP: 0033:0x7f7cfbd9979b
[   36.788786] Code: 0f 1e fa 48 8b 05 c5 b6 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 95 b6 0c 00 f7 d8 64 89 01 48 
[   36.788823] RSP: 002b:00007fff774dcc58 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   36.788826] RAX: ffffffffffffffda RBX: 00007fff774dcc90 RCX: 00007f7cfbd9979b
[   36.788827] RDX: 00007fff774dcc90 RSI: 00000000c06864a2 RDI: 000000000000000b
[   36.788828] RBP: 00007fff774dcc90 R08: 0000000000000000 R09: 0000562e2a9f5920
[   36.788830] R10: 00007fff774dcd50 R11: 0000000000000246 R12: 00000000c06864a2
[   36.788831] R13: 000000000000000b R14: 0000000000000000 R15: 0000562e2a9f5920
[   36.788834] ---[ end trace 80a9e24b90661253 ]---
```

but for me it occurs during boot. It shows total of for times

```
   $ dmesg | grep -e 'enc1_stream_encoder_dp_blank.*amdgpu'
[   36.788059]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[   37.468369]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[   49.951953]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
[   51.122911]  enc1_stream_encoder_dp_blank+0x12c/0x1a0 [amdgpu]
```

```
Linux wsshowmax 4.18.6-arch1-1-ARCH #1 SMP PREEMPT Wed Sep 5 11:54:09 UTC 2018 x86_64 GNU/Linux
```

```
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15d0
	Subsystem: Advanced Micro Devices, Inc. [AMD] Device 15d0
	Flags: fast devsel

00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Device 15d1
	Subsystem: Advanced Micro Devices, Inc. [AMD] Device 15d1
	Flags: fast devsel, IRQ 255
	Capabilities: [40] Secure device <?>
	Capabilities: [64] MSI: Enable- Count=1/4 Maskable- 64bit+
	Capabilities: [74] HyperTransport: MSI Mapping Enable+ Fixed+

00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
	Flags: fast devsel

00:01.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15d3 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 25
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00004000-00004fff [size=4K]
	Memory behind bridge: c0a00000-c0afffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Lenovo Device 5122
	Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2a0] Access Control Services
	Capabilities: [370] L1 PM Substates
	Kernel driver in use: pcieport

00:01.3 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15d3 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 26
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: c0900000-c09fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Lenovo Device 5122
	Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2a0] Access Control Services
	Capabilities: [370] L1 PM Substates
	Kernel driver in use: pcieport

00:01.4 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15d3 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00003000-00003fff [size=4K]
	Memory behind bridge: c0800000-c08fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Lenovo Device 5122
	Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2a0] Access Control Services
	Capabilities: [370] L1 PM Substates
	Kernel driver in use: pcieport

00:01.6 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15d3 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 28
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff [size=4K]
	Memory behind bridge: c0700000-c07fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Lenovo Device 5122
	Capabilities: [c8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2a0] Access Control Services
	Capabilities: [370] L1 PM Substates
	Kernel driver in use: pcieport

00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
	Flags: fast devsel

00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15db (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 29
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00001000-00001fff [size=4K]
	Memory behind bridge: c0300000-c06fffff [size=4M]
	Prefetchable memory behind bridge: 00000000b0000000-00000000c01fffff [size=258M]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot-), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 0000
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [270] Secondary PCI Express <?>
	Kernel driver in use: pcieport

00:08.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15dc (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 30
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: c0200000-c02fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot-), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Subsystem: Advanced Micro Devices, Inc. [AMD] Device 0000
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [270] Secondary PCI Express <?>
	Kernel driver in use: pcieport

00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 61)
	Subsystem: Lenovo FCH SMBus Controller
	Flags: 66MHz, medium devsel
	Kernel driver in use: piix4_smbus
	Kernel modules: i2c_piix4, sp5100_tco

00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
	Subsystem: Lenovo FCH LPC Bridge
	Flags: bus master, 66MHz, medium devsel, latency 0

00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15e8
	Flags: fast devsel

00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15e9
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ea
	Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15eb
	Flags: fast devsel
	Kernel driver in use: k10temp
	Kernel modules: k10temp

00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ec
	Flags: fast devsel

00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ed
	Flags: fast devsel

00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ee
	Flags: fast devsel

00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ef
	Flags: fast devsel

01:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8822BE 802.11a/b/g/n/ac WiFi adapter
	Subsystem: Lenovo RTL8822BE 802.11a/b/g/n/ac WiFi adapter
	Flags: bus master, fast devsel, latency 0, IRQ 79
	I/O ports at 4000 [size=256]
	Memory at c0a00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [148] Device Serial Number 00-e0-4c-ff-fe-b8-22-01
	Capabilities: [158] Latency Tolerance Reporting
	Capabilities: [160] L1 PM Substates
	Kernel driver in use: r8822be
	Kernel modules: r8822be

02:00.0 Non-Volatile memory controller: Lenovo Device 0006 (prog-if 02 [NVM Express])
	Subsystem: Lenovo Device 1006
	Flags: bus master, fast devsel, latency 0, IRQ 31, NUMA node 0
	Memory at c0900000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [b0] MSI-X: Enable+ Count=19 Masked-
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [148] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [158] Power Budgeting <?>
	Capabilities: [168] Alternative Routing-ID Interpretation (ARI)
	Capabilities: [178] Secondary PCI Express <?>
	Capabilities: [2b8] Latency Tolerance Reporting
	Capabilities: [2c0] L1 PM Substates
	Kernel driver in use: nvme

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0e)
	Subsystem: Lenovo RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
	Flags: bus master, fast devsel, latency 0, IRQ 71
	I/O ports at 3400 [size=256]
	Memory at c0814000 (64-bit, non-prefetchable) [size=4K]
	Memory at c0800000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable+ Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel
	Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates
	Kernel driver in use: r8169
	Kernel modules: r8169

03:00.1 Serial controller: Realtek Semiconductor Co., Ltd. Device 816a (rev 0e) (prog-if 02 [16550])
	Subsystem: Lenovo Device 5122
	Flags: fast devsel, IRQ 31
	I/O ports at 3200 [size=256]
	Memory at c0815000 (64-bit, non-prefetchable) [size=4K]
	Memory at c0804000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates

03:00.2 Serial controller: Realtek Semiconductor Co., Ltd. Device 816b (rev 0e) (prog-if 02 [16550])
	Subsystem: Lenovo Device 5122
	Flags: fast devsel, IRQ 31
	I/O ports at 3100 [size=256]
	Memory at c0816000 (64-bit, non-prefetchable) [size=4K]
	Memory at c0808000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates

03:00.3 IPMI Interface: Realtek Semiconductor Co., Ltd. Device 816c (rev 0e) (prog-if 01 [KCS])
	Subsystem: Lenovo Device 5122
	Flags: fast devsel, IRQ 11
	I/O ports at 3000 [size=256]
	Memory at c0817000 (64-bit, non-prefetchable) [size=4K]
	Memory at c080c000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates
	Kernel modules: ipmi_si

03:00.4 USB controller: Realtek Semiconductor Co., Ltd. Device 816d (rev 0e) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device 5122
	Flags: bus master, fast devsel, latency 0, IRQ 51
	Memory at c0818000 (32-bit, non-prefetchable) [size=4K]
	Memory at c0810000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates
	Kernel driver in use: ehci-pci
	Kernel modules: ehci_pci

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
	Subsystem: Lenovo RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
	Flags: bus master, fast devsel, latency 0, IRQ 73
	I/O ports at 2000 [size=256]
	Memory at c0704000 (64-bit, non-prefetchable) [size=4K]
	Memory at c0700000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable+ Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel
	Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
	Capabilities: [170] Latency Tolerance Reporting
	Capabilities: [178] L1 PM Substates
	Kernel driver in use: r8169
	Kernel modules: r8169

05:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev d0) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]
	Flags: bus master, fast devsel, latency 0, IRQ 50
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Memory at c0000000 (64-bit, prefetchable) [size=2M]
	I/O ports at 1000 [size=256]
	Memory at c0600000 (32-bit, non-prefetchable) [size=512K]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/4 Maskable- 64bit+
	Capabilities: [c0] MSI-X: Enable- Count=3 Masked-
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [200] Resizable BAR <?>
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2b0] Address Translation Service (ATS)
	Capabilities: [2c0] Page Request Interface (PRI)
	Capabilities: [2d0] Process Address Space ID (PASID)
	Capabilities: [320] Latency Tolerance Reporting
	Kernel driver in use: amdgpu
	Kernel modules: amdgpu

05:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Device 15de
	Subsystem: Lenovo Device 5122
	Flags: bus master, fast devsel, latency 0, IRQ 76
	Memory at c0688000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

05:00.2 Encryption controller: Advanced Micro Devices, Inc. [AMD] Device 15df
	Subsystem: Lenovo Device 5122
	Flags: fast devsel, IRQ 11
	Memory at c0500000 (32-bit, non-prefetchable) [size=1M]
	Memory at c068c000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/2 Maskable- 64bit+
	Capabilities: [c0] MSI-X: Enable- Count=2 Masked-
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>

05:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Device 15e0 (prog-if 30 [XHCI])
	Subsystem: Lenovo Device 5122
	Flags: bus master, fast devsel, latency 0, IRQ 52
	Memory at c0300000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [c0] MSI-X: Enable+ Count=8 Masked-
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: xhci_hcd
	Kernel modules: xhci_pci

05:00.4 USB controller: Advanced Micro Devices, Inc. [AMD] Device 15e1 (prog-if 30 [XHCI])
	Subsystem: Lenovo Device 5122
	Flags: bus master, fast devsel, latency 0, IRQ 49
	Memory at c0400000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [c0] MSI-X: Enable+ Count=8 Masked-
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: xhci_hcd
	Kernel modules: xhci_pci

05:00.6 Audio device: Advanced Micro Devices, Inc. [AMD] Device 15e3
	Subsystem: Lenovo Device 5122
	Flags: bus master, fast devsel, latency 0, IRQ 77
	Memory at c0680000 (32-bit, non-prefetchable) [size=32K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

06:00.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 61) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo FCH SATA Controller [AHCI mode]
	Flags: bus master, fast devsel, latency 0, IRQ 54
	Memory at c0200000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [64] Express Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [d0] SATA HBA v1.0
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [270] Secondary PCI Express <?>
	Kernel driver in use: ahci
	Kernel modules: ahci


```

If more information is needed, I would be happy to provide :)
Comment 3 Jerry Zuo 2018-09-21 14:36:02 UTC
Hi Paul, can you please explain what you did by "when switching the inputs of the monitor (two systems are connected)"?
Comment 4 Paul Menzel 2018-09-21 15:08:09 UTC
(In reply to Jerry Zuo from comment #3)
> Hi Paul, can you please explain what you did by "when switching the inputs
> of the monitor (two systems are connected)"?

The monitor has several inputs. Over the OSD (on-screen display) you can tell the monitor what input signal it should display (or the monitor auto-senses it itself). Hopefully, that makes sense.
Comment 5 Jerry Zuo 2018-09-21 16:03:50 UTC
Thank you. You connect both HDMI and DP to UP3214 with DP1.2 enabled, switch back and forth, and the warning is showing up. When the warning is observed, a delay is also observed. Am I right?
Comment 6 Jerry Zuo 2018-09-21 19:00:44 UTC
I got it. Thanks.
Comment 7 Nicholas Kazlauskas 2018-09-24 14:59:49 UTC
Can you clarify the problem you're observing?

Do all the displays go blank after switching inputs?
Comment 8 Paul Menzel 2019-05-09 12:56:07 UTC
(In reply to Nicholas Kazlauskas from comment #7)
> Can you clarify the problem you're observing?
> 
> Do all the displays go blank after switching inputs?

There is exactly one monitor/display.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.